fs_path.h File Reference

Go to the source code of this file.

## Classes

class | std::experimental::filesystem::v1::path
class | std::experimental::filesystem::v1::path::iterator

## Namespaces

namespace | std

## Functions

size_t | std::experimental::filesystem::hash_value (const path &__p) noexcept
bool | std::experimental::filesystem::operator!= (const path &__lhs, const path &__rhs) noexcept
path | std::experimental::filesystem::operator/ (const path &__lhs, const path &__rhs)
bool | std::experimental::filesystem::operator< (const path &__lhs, const path &__rhs) noexcept
template<typename _CharT , typename _Traits >
basic_ostream< _CharT, _Traits > & | std::experimental::filesystem::operator<< (basic_ostream< _CharT, _Traits > &__os, const path &__p)
bool | std::experimental::filesystem::operator<= (const path &__lhs, const path &__rhs) noexcept
bool | std::experimental::filesystem::operator== (const path &__lhs, const path &__rhs) noexcept
bool | std::experimental::filesystem::operator> (const path &__lhs, const path &__rhs) noexcept
bool | std::experimental::filesystem::operator>= (const path &__lhs, const path &__rhs) noexcept
template<typename _CharT , typename _Traits >
basic_istream< _CharT, _Traits > & | std::experimental::filesystem::operator>> (basic_istream< _CharT, _Traits > &__is, path &__p)
void | std::experimental::filesystem::swap (path &__lhs, path &__rhs) noexcept
template<typename _InputIterator >
path | std::experimental::filesystem::u8path (_InputIterator __first, _InputIterator __last)
template<typename _Source >
path | std::experimental::filesystem::u8path (const _Source &__source)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <experimental/filesystem>.

Definition in file experimental/bits/fs_path.h.

## Function Documentation

## hash_value()

size_t std::experimental::filesystem::v1::hash_value | ( | const path & | __p | ) |

noexcept

Compare paths.

References std::experimental::filesystem::hash_value().

Referenced by std::experimental::filesystem::hash_value().

## operator!=()

bool std::experimental::filesystem::v1::operator!= | ( | const path & | __lhs,
|  | const path & | __rhs
| ) |  |

inline noexcept

Compare paths.

Definition at line 540 of file experimental/bits/fs_path.h.

## operator/()

path std::experimental::filesystem::v1::operator/ | ( | const path & | __lhs,
|  | const path & | __rhs
| ) |  |

inline

Append one path to another.

Definition at line 544 of file experimental/bits/fs_path.h.

## operator<()

bool std::experimental::filesystem::v1::operator< | ( | const path & | __lhs,
|  | const path & | __rhs
| ) |  |

inline noexcept

Compare paths.

Definition at line 520 of file experimental/bits/fs_path.h.

## operator<<()

template<typename _CharT , typename _Traits >

basic_ostream< _CharT, _Traits > & std::experimental::filesystem::v1::operator<< | ( | basic_ostream< _CharT, _Traits > & | __os,
|  | const path & | __p
| ) |  |

Write a path to a stream.

Definition at line 544 of file experimental/bits/fs_path.h.

## operator<=()

bool std::experimental::filesystem::v1::operator<= | ( | const path & | __lhs,
|  | const path & | __rhs
| ) |  |

inline noexcept

Compare paths.

Definition at line 524 of file experimental/bits/fs_path.h.

## operator==()

bool std::experimental::filesystem::v1::operator== | ( | const path & | __lhs,
|  | const path & | __rhs
| ) |  |

inline noexcept

Compare paths.

Definition at line 536 of file experimental/bits/fs_path.h.

## operator>()

bool std::experimental::filesystem::v1::operator> | ( | const path & | __lhs,
|  | const path & | __rhs
| ) |  |

inline noexcept

Compare paths.

Definition at line 528 of file experimental/bits/fs_path.h.

## operator>=()

bool std::experimental::filesystem::v1::operator>= | ( | const path & | __lhs,
|  | const path & | __rhs
| ) |  |

inline noexcept

Compare paths.

Definition at line 532 of file experimental/bits/fs_path.h.

## operator>>()

template<typename _CharT , typename _Traits >

basic_istream< _CharT, _Traits > & std::experimental::filesystem::v1::operator>> | ( | basic_istream< _CharT, _Traits > & | __is,
|  | path & | __p
| ) |  |

Read a path from a stream.

Definition at line 566 of file experimental/bits/fs_path.h.

References std::operator>>().

## swap()

void std::experimental::filesystem::v1::swap | ( | path & | __lhs,
|  | path & | __rhs
| ) |  |

inline noexcept

Compare paths.

Definition at line 515 of file experimental/bits/fs_path.h.

## u8path() [1/2]

template<typename _InputIterator >

path std::experimental::filesystem::v1::u8path | ( | _InputIterator | __first,
|  | _InputIterator | __last
| ) |  |

inline

Create a path from a UTF-8-encoded sequence of char.

Definition at line 580 of file experimental/bits/fs_path.h.

References std::string, and std::experimental::filesystem::u8path().

Referenced by std::experimental::filesystem::u8path(), and std::experimental::filesystem::u8path().

## u8path() [2/2]

template<typename _Source >

path std::experimental::filesystem::v1::u8path | ( | const _Source & | __source | ) |

inline

Create a path from a UTF-8-encoded sequence of char.

Definition at line 602 of file experimental/bits/fs_path.h.

References std::string, and std::experimental::filesystem::u8path().